GigiSan GigiSan - 4 months ago 18x
Javascript Question

addEventListener error with jQuery 1.x and IE8

An aplication using jQuery 1.12.3 returns an error on IE8:

Object doesn't support property or method 'addEventListener'

I know there's many other questions about this particular error but the answer is always to use jQuery 1.x, which I'm already using and the error is raised within jQuery's code.

Any idea on what might be the problem?

Thanks in advance for your help!


It sounds like you're accidentally using jQuery 2.x or similar rather than jQuery 1.12.3. 1.12.3 knows better than to try to use addEventListener on IE8, but as of jQuery 2.x, they dropped support for IE8 and earlier.